%define name berry-usplash
%define version 0.72
%define release b1

Name:		%{name}
Summary:	Usplash Theme for Berry Linux
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildRequires: gd-devel
BuildArchitectures: i586


%description
User mode bootsplash suite for Berry Linux


# Setup Section
%prep
%setup -q


# Build Section
%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

make


# Install Section
%install
strip usplash
strip usplash_write
mkdir -p $RPM_BUILD_ROOT/sbin
make DESTDIR="%{buildroot}" install

#mkdir -p $RPM_BUILD_ROOT/usr/lib/usplash
#./bogl/pngtobogl berry/silent.png > usplash-artwork.c
#gcc -Os -g -I./bogl -fPIC -c usplash-artwork.c -o usplash-artwork.o
#gcc -shared -Wl,-soname,usplash-artwork.so usplash-artwork.o -o berry-splash.so
#cp berry-splash.so %{buildroot}/usr/lib/usplash
#ln -sf /usr/lib/usplash/berry-splash.so %{buildroot}/usr/lib/usplash/usplash-artwork.so


# Clean Section
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


# Files Section
%files
%defattr (-,root,root)
/sbin/*
#/usr/lib/usplash/*


# change log
%changelog
* Fri Jul 7 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
